# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.net4j.util.ExceptionHandler.Factory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.exceptionHandlers"`
org.eclipse.net4j.util.StringConverter
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.stringConverters"`
org.eclipse.net4j.util.StringParser<T>
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.stringParsers"`
org.eclipse.net4j.util.StringParser.EnumStringParser<T extends Enum<T>>
Modifier and Type
Constant Field
Value
`public static final boolean`
`DEFAULT_CASE_SENSITIVE`
`false`
org.eclipse.net4j.util.StringTester
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.stringTesters"`
org.eclipse.net4j.util.StringUtil
Modifier and Type
Constant Field
Value
`public static final String`
`EMPTY`
`""`
org.eclipse.net4j.util.UUIDGenerator
Modifier and Type
Constant Field
Value
`public static final int`
`BYTES`
`16`
`public static final int`
`NODE_ADDRESS_BYTES`
`6`

org.eclipse.net4j.util.cache.CacheRegistration
Modifier and Type
Constant Field
Value
`public static final float`
`DEFAULT_RECONSTRUCTION_COST_DECAY_FACTOR`
`0.10000000149011612f`

org.eclipse.net4j.util.collection.Entity
Modifier and Type
Constant Field
Value
`public static final char`
`NAME_SEPARATOR`
`'/'`

org.eclipse.net4j.util.concurrent.DelegableReentrantLock.DelegateDetector.Factory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.concurrent.delegateDetectors"`
org.eclipse.net4j.util.concurrent.ExecutorServiceFactory
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_THREAD_GROUP_NAME`
`"net4j"`
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.executorServices"`
`public static final String`
`TYPE`
`"default"`
org.eclipse.net4j.util.concurrent.IRWLockManager<OBJECT,CONTEXT>
Modifier and Type
Constant Field
Value
`public static final int`
`NO_WAIT`
`1`
`public static final int`
`WAIT`
`0`
org.eclipse.net4j.util.concurrent.IRWOLockManager<OBJECT,CONTEXT>
Modifier and Type
Constant Field
Value
`public static final int`
`ALL_LOCKS`
`-1`
`public static final long`
`NO_TIMEOUT`
`-1L`
org.eclipse.net4j.util.concurrent.MonitoredThread.MultiThreadMonitor
Modifier and Type
Constant Field
Value
`public static final long`
`SYNCED_START`
`-1L`
org.eclipse.net4j.util.concurrent.QueueWorker<E>
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_POLL_MILLIS`
`100`
org.eclipse.net4j.util.concurrent.ThreadPool
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_CORE_POOL_SIZE`
`10`
`public static final long`
`DEFAULT_KEEP_ALIVE_SECONDS`
`60L`
`public static final int`
`DEFAULT_MAXIMUM_POOL_SIZE`
`2147483647`
`public static final String`
`DEFAULT_THREAD_GROUP_NAME`
`"net4j"`
org.eclipse.net4j.util.concurrent.TimerLifecycle
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.timers"`
org.eclipse.net4j.util.concurrent.TimerLifecycle.DaemonFactory
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE`
`"daemon"`
org.eclipse.net4j.util.concurrent.Worker
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_TIMEOUT`
`10000`

org.eclipse.net4j.util.confirmation.IConfirmationProvider.Factory
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TYPE`
`"default"`
`public static final String`
`INTERACTIVE_TYPE`
`"interactive"`
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.confirmationProviders"`

org.eclipse.net4j.util.container.ContainerUtil
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_CONTAINER`
`"org.eclipse.net4j.util.container"`

org.eclipse.net4j.util.factory.AnnotationFactory.InjectElement
Modifier and Type
Constant Field
Value
`public static final String`
`FACTORY_TYPE_ATTRIBUTE`
`"type"`
org.eclipse.net4j.util.factory.IFactoryKey
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_FACTORY_TYPE`
`"default"`
org.eclipse.net4j.util.factory.MetaFactory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.metaFactories"`
org.eclipse.net4j.util.factory.PropertiesFactory
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_KEY`
`"_"`
`public static final String`
`PROPERTY_SEPARATOR`
`"|"`

org.eclipse.net4j.util.io.GZIPStreamWrapper
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUFFER_SIZE`
`512`
`public static final int`
`DEFAULT_COMPRESSION_LEVEL`
`1`
org.eclipse.net4j.util.io.GZIPStreamWrapper.Factory
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE`
`"gzip"`
org.eclipse.net4j.util.io.IOUtil
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUFFER_SIZE`
`8192`
`public static final int`
`EOF`
`-1`
`public static final String`
`WILDCARD_MULTI_CHARS`
`"*"`
`public static final String`
`WILDCARD_MULTI_DIRS`
`"**"`
`public static final String`
`WILDCARD_SINGLE_CHAR`
`"?"`
org.eclipse.net4j.util.io.IStreamWrapper.Factory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.streamWrappers"`
org.eclipse.net4j.util.io.TMPUtil
Modifier and Type
Constant Field
Value
`public static final String`
`TEMP_FOLDER_PROPERTY`
`"org.eclipse.net4j.util.io.tmpdir"`
org.eclipse.net4j.util.io.ZIPUtil
Modifier and Type
Constant Field
Value
`public static final int`
`DEFALULT_BUFFER_SIZE`
`4096`
`public static final int`
`DEFAULT_BUFFER_SIZE`
`4096`

org.eclipse.net4j.util.om.monitor.Monitor
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_ASYNC_SCHEDULE_PERIOD`
`1000L`
org.eclipse.net4j.util.om.monitor.OMMonitor
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_TIME_FACTOR`
`1000.0`
`public static final int`
`THOUSAND`
`1000`
org.eclipse.net4j.util.om.monitor.OMMonitorProgress
Modifier and Type
Constant Field
Value
`public static final double`
`HUNDRED`
`100.0`
`public static final double`
`ONE`
`1.0`
`public static final double`
`TEN`
`10.0`
`public static final double`
`ZERO`
`0.0`
org.eclipse.net4j.util.om.monitor.SubMonitor
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_WORK`
`1`
`public static final int`
`SUPPRESS_ALL_LABELS`
`7`
`public static final int`
`SUPPRESS_BEGINTASK`
`2`
`public static final int`
`SUPPRESS_NONE`
`0`
`public static final int`
`SUPPRESS_SETTASKNAME`
`4`
`public static final int`
`SUPPRESS_SUBTASK`
`1`

org.eclipse.net4j.util.om.pref.OMPreferences
Modifier and Type
Constant Field
Value
`public static final boolean`
`DEFAULT_BOOLEAN`
`false`
`public static final double`
`DEFAULT_DOUBLE`
`0.0`
`public static final float`
`DEFAULT_FLOAT`
`0.0f`
`public static final int`
`DEFAULT_INTEGER`
`0`
`public static final long`
`DEFAULT_LONG`
`0L`
`public static final String`
`DEFAULT_STRING`
`""`

org.eclipse.net4j.util.om.trace.PerfTracer
Modifier and Type
Constant Field
Value
`public static final long`
`NOT_STARTED`
`0L`
org.eclipse.net4j.util.om.trace.RemoteTraceHandler
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_HOST`
`"localhost"`
`public static final int`
`DEFAULT_PORT`
`2035`
org.eclipse.net4j.util.om.trace.RemoteTraceServer
Modifier and Type
Constant Field
Value
`public static final int`
`ANY_PORT`
`0`
`public static final String`
`DEFAULT_ADDRESS`
`"0.0.0.0"`
`public static final int`
`DEFAULT_PORT`
`2035`
org.eclipse.net4j.util.om.trace.Tracer
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_DISABLE_TRACING`
`"org.eclipse.net4j.util.om.trace.disable"`
`public static final String`
`PROP_DISABLE_TRACING_OPTIONS`
`"org.eclipse.net4j.util.om.trace.disable.options"`

org.eclipse.net4j.util.ref.CleanableReferenceQueue<T>
Modifier and Type
Constant Field
Value
`public static final int`
`ALL_WORK_PER_POLL`
`-1`
`public static final int`
`DEFAULT_MAX_WORK_PER_POLL`
`-1`
`public static final int`
`DEFAULT_POLL_MILLIS`
`60000`
org.eclipse.net4j.util.ref.ReferenceQueueWorker<T>
Modifier and Type
Constant Field
Value
`public static final int`
`ALL_WORK_PER_POLL`
`-1`
`public static final int`
`DEFAULT_MAX_WORK_PER_POLL`
`-1`
`public static final int`
`DEFAULT_POLL_MILLIS`
`60000`

org.eclipse.net4j.util.security.AuthenticatorFactory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.authenticators"`
org.eclipse.net4j.util.security.ChallengeNegotiator
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_TOKEN_LENGTH`
`1024`
org.eclipse.net4j.util.security.ChallengeNegotiatorFactory
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE`
`"challenge"`
org.eclipse.net4j.util.security.CredentialsProviderFactory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.security.credentialsProviders"`
org.eclipse.net4j.util.security.DiffieHellman.Server
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CYPHER_TRANSFORMATION`
`"DES/CBC/PKCS5Padding"`
`public static final String`
`DEFAULT_SECRET_ALGORITHM`
`"DES"`
org.eclipse.net4j.util.security.FileAuthenticatorFactory
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE`
`"file"`
org.eclipse.net4j.util.security.FileUserManagerFactory
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE`
`"file"`
org.eclipse.net4j.util.security.IChallengeResponse
Modifier and Type
Constant Field
Value
`public static final byte`
`ACKNOWLEDGE_FAILURE`
`0x0`
`public static final byte`
`ACKNOWLEDGE_SUCCESS`
`0x1`
org.eclipse.net4j.util.security.ICrypter
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.security.crypters"`
org.eclipse.net4j.util.security.INegotiationContext
Modifier and Type
Constant Field
Value
`public static final int`
`NO_TIMEOUT`
`-1`
org.eclipse.net4j.util.security.NegotiatorFactory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.Negotiators"`
org.eclipse.net4j.util.security.Randomizer
Modifier and Type
Constant Field
Value
`public static final String`
`ALGORITHM_SHA1PRNG`
`"SHA1PRNG"`
`public static final String`
`DEFAULT_ALGORITHM_NAME`
`"SHA1PRNG"`
org.eclipse.net4j.util.security.RandomizerFactory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.randomizers"`
`public static final String`
`TYPE`
`"default"`
org.eclipse.net4j.util.security.ResponseNegotiatorFactory
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE`
`"response"`
org.eclipse.net4j.util.security.SecurityUtil
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_ITERATION_COUNT`
`20`
`public static final String`
`PBE_WITH_MD5_AND_DES`
`"PBEWithMD5AndDES"`
org.eclipse.net4j.util.security.UserManagerAuthenticator
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_TOKEN_LENGTH`
`1024`
org.eclipse.net4j.util.security.UserManagerFactory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.userManagers"`

org.eclipse.net4j.util.security.operations.AuthorizableOperationFactory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.security.authorizableOperations"`
org.eclipse.net4j.util.security.operations.OperationAuthorizerFactory<CONTEXT>
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.security.operationAuthorizers"`

org.eclipse.net4j.util.ui.DelegatingContentProvider
Modifier and Type
Constant Field
Value
`public static final String`
`NONE`
`""`
org.eclipse.net4j.util.ui.MenuFiller.Factory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.ui.menuFillers"`
org.eclipse.net4j.util.ui.OpenHandler.Factory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.ui.openHandlers"`
org.eclipse.net4j.util.ui.TableLabelProvider.Column<T>
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_WIDTH`
`100`
org.eclipse.net4j.util.ui.UIUtil
Modifier and Type
Constant Field
Value
`public static final String`
`ERROR_LOG_ID`
`"org.eclipse.pde.runtime.LogView"`

org.eclipse.net4j.util.ui.chat.ChatRenderer.AvatarGenerator
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.ui.avatarGenerators"`
org.eclipse.net4j.util.ui.chat.ChatRenderer.AvatarGenerator.Default.Factory
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE`
`"default"`
org.eclipse.net4j.util.ui.chat.ChatRenderer.Factory
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TYPE`
`"default"`
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.ui.chatRenderers"`

org.eclipse.net4j.util.ui.container.ElementWizardFactory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.ui.elementWizards"`

org.eclipse.net4j.util.ui.views.IntrospectionProvider
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_PRIORITY`
`100`
org.eclipse.net4j.util.ui.views.IntrospectionProvider.Factory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.ui.introspectionProviders"`
org.eclipse.net4j.util.ui.views.RowIntrospectionProvider
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_CATEGORY`
`0`
org.eclipse.net4j.util.ui.views.ValueFormatter
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_PRIORITY`
`100`
org.eclipse.net4j.util.ui.views.ValueFormatter.Factory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.ui.valueFormatters"`

org.eclipse.net4j.util.ui.widgets.BaseDialog<VIEWER extends Viewer>
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_SHELL_STYLE`
`1264`
org.eclipse.net4j.util.ui.widgets.EntryControlAdvisor.Factory
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TYPE`
`"default"`
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.util.ui.entryControlAdvisors"`